#ifndef EXPORT_TO_PDF_H
#define EXPORT_TO_PDF_H

#include <QDialog>
#include <QPrinter>
#include "ui_export_to_pdf.h"
#include "blockview.h"


class ExportToPDF: public QDialog, public Ui::ExportToPDF {
	Q_OBJECT
public:
	explicit ExportToPDF(QWidget * parent = 0);
	~ExportToPDF();

	QPageSize page_size;
	//QPrinter::Orientation orientation;
	int dpi;
	
private:
	QMap<int, QSizeF> page_sizes;
	
public slots:
	
private slots:
	void accept();
	void reject();
	
};

#endif // EXPORT_TO_PDF_H
